[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#221354: marked as done (Package does not install. Cannot byte-compile overlay-fix.el)

Your message dated Mon, 01 Mar 2004 10:17:11 -0500
with message-id <E1AxpAN-0000J8-00@newraff.debian.org>
and subject line Bug#221354: fixed in semantic 1.4.4-5
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 17 Nov 2003 21:19:46 +0000
>From scrosby@cs.rice.edu Mon Nov 17 15:19:45 2003
Return-path: <scrosby@cs.rice.edu>
Received: from cs.rice.edu [] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1ALqme-0002oz-00; Mon, 17 Nov 2003 15:19:44 -0600
Received: from localhost (localhost [])
	by cs.rice.edu (Postfix) with ESMTP id 19EF94A9DF
	for <submit@bugs.debian.org>; Mon, 17 Nov 2003 15:19:44 -0600 (CST)
Received: from cs.rice.edu ([])
 by localhost (cs.rice.edu []) (amavisd-new, port 10024) with LMTP
 id 09708-01-59 for <submit@bugs.debian.org>;
 Mon, 17 Nov 2003 15:19:42 -0600 (CST)
Received: from inky (bert.cs.rice.edu [])
	by cs.rice.edu (Postfix) with ESMTP id 9B1964A9AE
	for <submit@bugs.debian.org>; Mon, 17 Nov 2003 15:19:42 -0600 (CST)
Received: by inky (Postfix, from userid 14314)
	id 3FC59F326B; Mon, 17 Nov 2003 15:19:42 -0600 (CST)
Sender: scrosby@cs.rice.edu
To: submit@bugs.debian.org
Subject: Package does not install. Cannot byte-compile overlay-fix.el
From: Scott A Crosby <scrosby@cs.rice.edu>
Organization: Rice University
Date: 17 Nov 2003 15:19:42 -0600
Message-ID: <oyd3ccmu1zl.fsf@bert.cs.rice.edu>
Lines: 35
User-Agent: Gnus/5.0808 (Gnus v5.8.8) XEmacs/21.4 (Common Lisp)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Virus-Scanned: by amavis-20030616-p5 at rice.edu
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_11_15 (

Package: semantic
Version: 1.4.4-3
Severity: grave

Compiling /usr/share/xemacs21/site-lisp/semantic/overlay-fix.el...
While compiling toplevel forms in file /usr/share/xemacs21/site-lisp/semantic/overlay-fix.el:
  !! End of file or stream ((#<buffer " *Compiler Input*">))
>>Error occurred processing overlay-fix.el: 
End of file or stream: #<buffer " *Compiler Input*">

I believe that this problem occurs under xemacs. Anyways, this problem
means that JDE is now broken. I uninstalled semantic and a bunch of
detritus that it leaves behind and reinstalled and I get the broken
file back again.

xemacs/emacs package:

ii  emacs20        20.7-13.1      The GNU Emacs editor.
ii  emacs20-el     20.7-13.1      GNU Emacs LISP (.el) files.
ii  emacsen-common 1.4.15         Common facilities for all emacsen.

ii  xemacs21       21.4.6-8       Editor and kitchen sink
ii  xemacs21-bases 2003.01.27-1.1 Editor and kitchen sink -- compiled elisp su
ii  xemacs21-bin   21.4.6-8       Editor and kitchen sink -- support binaries
ii  xemacs21-nomul 21.4.6-8       Editor and kitchen sink -- Non-mule binary
ii  xemacs21-suppo 21.4.6-8       Editor and kitchen sink -- architecture inde
ii  xemacs21-suppo 21.4.6-8       Editor and kitchen sink -- non-required libr

I also tried upgrading to emacs21, but that also fails.

ii  emacs21        21.3+1-4       The GNU Emacs editor
ii  emacs21-common 21.3+1-4       The GNU Emacs editor's common infrastructure
ii  emacs21-el     21.3+1-4       GNU Emacs LISP (.el) files


Received: (at 221354-close) by bugs.debian.org; 1 Mar 2004 15:23:02 +0000
>From katie@ftp-master.debian.org Mon Mar 01 07:23:02 2004
Return-path: <katie@ftp-master.debian.org>
Received: from newraff.debian.org [] (mail)
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1AxpG2-0004JH-00; Mon, 01 Mar 2004 07:23:02 -0800
Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
	id 1AxpAN-0000J8-00; Mon, 01 Mar 2004 10:17:11 -0500
From: Frank Lichtenheld <djpig@debian.org>
To: 221354-close@bugs.debian.org
X-Katie: $Revision: 1.44 $
Subject: Bug#221354: fixed in semantic 1.4.4-5
Message-Id: <E1AxpAN-0000J8-00@newraff.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Mon, 01 Mar 2004 10:17:11 -0500
Delivered-To: 221354-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_01 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=no 

Source: semantic
Source-Version: 1.4.4-5

We believe that the bug you reported is fixed in the latest version of
semantic, which is due to be installed in the Debian FTP archive:

  to pool/main/s/semantic/semantic_1.4.4-5.diff.gz
  to pool/main/s/semantic/semantic_1.4.4-5.dsc
  to pool/main/s/semantic/semantic_1.4.4-5_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 221354@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Frank Lichtenheld <djpig@debian.org> (supplier of updated semantic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Mon,  1 Mar 2004 15:16:25 +0100
Source: semantic
Binary: semantic
Architecture: source all
Version: 1.4.4-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
 semantic   - A lexer, parser-generator, and parser written in elisp
Closes: 221354 232791
 semantic (1.4.4-5) unstable; urgency=low
   * QA Upload
   * Convert line endings in overlay-fix.el (Closes: #221354)
     This only matters with the current xemacs21-nomule in Sarge, but
     since it is a simple fix...
   * Remove alternative emacs20 in Depends, packages doesn't exist
     anymore in testing/unstable (Closes: #232791)
   * Add proper copyright statement to debian/copyright
 ef2abdbf13d3e261f4a14e4c6c23a533 588 devel optional semantic_1.4.4-5.dsc
 318f35fc4fcc4fb44ed4aeb0e2bb7697 17169 devel optional semantic_1.4.4-5.diff.gz
 305eeff01ac21514def8c8cab329831a 279170 devel optional semantic_1.4.4-5_all.deb

Version: GnuPG v1.2.4 (GNU/Linux)


Reply to: